Shouldn't viewing and downloading files have the same process?

Bug #633658 reported by Charlie Amoah on 2010-09-09
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Mahara
Low
Robert Lyon

Bug Description

Am on one of my views:http://master.dev.mahara.org/view/view.php?id=774 trying having a look me kewl Mahara creation

1. When I click on the "Details" link by any of my images, it goes like this "Details > Image > Details > Download" : this process also only shows the image should a user be able to download and keep the file? Because I can't!

2. When I click on the "Details" link by any of the songs, it goes like this "Details > Download" : again this process only shows the track or plays the track should a user be able to download and keep the file? Because I can't!

Ok now the question is which one is the right process 1 or 2. Thanks.

Mahara master dev 1.3

Linux

FF3

I think we are Postgres

Changed in mahara:
status: New → Confirmed
importance: Undecided → Low

This time when I clicked on track it kept spinning non stop!

The loading icon still spinning 33 minutes after clicking on the download link and the link has reverted to its colour

Ruslan Kabalin (rkabalin) wrote :

Charlie, can you please allow public access to your view, I can't see it.

The original bug affects me too - I find it inconsistent that:

1) the "Details" links on different files in a "File(s) to download" block do different things; and

2) for an image, there are two "Details" links on two pages which do different things even though they have the same label.

Robert Lyon (robertl-9) wrote :

I too find it confusing so I have added patch for this:
https://reviews.mahara.org/#/c/2700/

The image files now have a 'view' name for the link in the 'files to download' block

Changed in mahara:
status: Confirmed → In Progress
assignee: nobody → Robert Lyon (robertl-9)
milestone: none → 1.9.0

Reviewed: https://reviews.mahara.org/2700
Committed: http://gitorious.org/mahara/mahara/commit/f14447c49046734410c1b4b6a8e33e08771b3020
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit f14447c49046734410c1b4b6a8e33e08771b3020
Author: Robert Lyon <email address hidden>
Date: Tue Nov 12 16:23:58 2013 +1300

Details link in 'files to download' is inconsistent (bug 633658)

to test - add both image and non image files to a 'files to download'
block.
On view page click on the 'details' link.
- Non image files go directly to a page showing meta information and
download link.

- Image files go to same page but show just the image + another
'details' link that takes you to the metadata page

Patch changes the initial link name from 'details' to 'view' for image
artefacts.

Change-Id: I6ca52cf5eecbc533948447133fb4f7e51de4c9c3
Signed-off-by: Robert Lyon <email address hidden>

Wouldn't it be better for the "Details" link to always go to the details page? You can always click on the title of the file (image or PDF etc.) and see the file - either view the image, download the PDF etc. The "View" link still gives you the double step to go to the details page that shouldn't be necessary.

Changed in mahara:
status: In Progress → Fix Committed
status: Fix Committed → In Progress
Robert Lyon (robertl-9) wrote :

Hi Kristina,

Yes I was thinking the same thing when doing the previous patch - but was not sure which would be the greater change from a user's experience, going to details page when used to going to preview of image page or changing the title of the link from 'details' to 'view' to explain better where one is to end up.

Anyway - I've added a new patch
https://reviews.mahara.org/#/c/2710/

That makes it so images go to details page to be consistent with the other file types. So now all have the 'Details' link and all got to the details page.

See my comment on the review and as discussed. :-)

Yeah kewl. I was wondering why one process was different from the other
and they were doing the same thing. Also it makes sense you mentioned
that details link goes to the details page and the rest.

On 18/11/13 13:10, Kristina Hoeppner wrote:
> See my comment on the review and as discussed. :-)
>

Reviewed: https://reviews.mahara.org/2710
Committed: http://gitorious.org/mahara/mahara/commit/9b46259520d476012b5f0a40ed9a41beb5142cd8
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 9b46259520d476012b5f0a40ed9a41beb5142cd8
Author: Robert Lyon <email address hidden>
Date: Mon Nov 18 11:05:22 2013 +1300

Clicking 'details' link for images goes directly to details page (bug #633658)

Before patch:
- Clicking 'View' (details) link in 'files(s) to download block took
you to a preview page for the image

After patch:
- clicking the 'Details' link takes you to the details page - now
consistent UI with the other file types. And there is no preview page.
If one wants to see image they can click on the title link on
view/artefact.php page or click the small 'preview' image.

Change-Id: Ia6c3304e0e4fef50c929aa30962265036d11df93
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2013-12-23
Changed in mahara:
status: In Progress → Fix Committed
Robert Lyon (robertl-9) on 2014-04-22
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers